Subject: Web Page Describing FITS Libraries

From: Tom McGlynn <tam at silk.gsfc.nasa.gov>
Date: Mon, 15 Mar 1999 14:56:31 -0500

Periodically this group gets a request for pointers
to a FITS library which will meet the requester's
needs.  I thought it might be useful to have a
single Web page that provided pointers to FITS libraries
available in various languages.  I've put one
in the HEASARC Web site at

   http://heasarc.gsfc.nasa.gov/docs/heasarc/fits/fits_libraries.html

It provides a tabular overview of all the libraries, a
capsule summary of the capabilities of the
packages and links to where each package can be downloaded.

So far this has only the libraries that I was personally
aware of or that were easily findable on the Web.  I'd be very
happy to add more libraries -- and to correct errors
in the descriptions.  I've been trying to emphasize
libraries that are usable independently of a particular
software environment, and which are easily downloadable.

Since it started with the libraries I know of, it's strongly
biased to libraries developed at the HEASARC [including the two
I'm responsible for], but I'm hoping to get pointers to alternatives
and I'll be happy to add them.

Note that all of this is 'without warranty'.  I'm simply providing
pointers to what others have placed on the Web.  I've not personally
used most of the libraries so I cannot vouch for their quality.
Even a buggy library may be helpful to someone starting from scratch.

I'd be especially interested in filling gaps in the language coverage.
E.g., I don't know of any Ada or Pascal FITS libraries.

Any suggestions for how this might be improved are welcome.

		Regards,

		Tom McGlynn
		NASA/HEASARC